%define upstream_name    Bio-SeqReader
%define upstream_version 0.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Class providing methods for representing header,
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Bio::SeqReader package provides classes specifically for reading
sequence data.

EXPORT
    None by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-10.mga8
+ Revision: 1492956
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.3-9.mga7
+ Revision: 1265789
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.1.3-8.mga6
+ Revision: 1022745
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.3-7.mga6
+ Revision: 948592
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.1.3-6.mga5
+ Revision: 788177
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-5.mga5
+ Revision: 744594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-4.mga5
+ Revision: 683604
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 509218
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 363366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 kharec <kharec> 0.1.3-1.mga3
+ Revision: 297426
- update to 0.1.3

* Fri Aug 31 2012 kharec <kharec> 0.0.3-1.mga3
+ Revision: 286043
- imported package perl-Bio-SeqReader


* Fri Aug 31 2012 cpan2dist 0.0.3-1mga
- initial mageia release, generated with cpan2dist
